summaryrefslogtreecommitdiff
path: root/libre/virtualbox-libre/virtualbox-libre.install
diff options
context:
space:
mode:
authorMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-08-01 21:36:53 -0300
committerMárcio Alexandre Silva Delgado <coadde@adinet.com.uy>2012-08-01 21:36:53 -0300
commit7e00045a605d554cdf361c2794b8b600ed940fdb (patch)
tree539341434b5684275e1a90b6939721ff74312ed1 /libre/virtualbox-libre/virtualbox-libre.install
parent283ba6b5f63103403e4b908aa5c3d1b12eb6a689 (diff)
parent62a0b15275fa1f33b1f1108e3908d1875c139a77 (diff)
downloadabslibre-7e00045a605d554cdf361c2794b8b600ed940fdb.tar.gz
abslibre-7e00045a605d554cdf361c2794b8b600ed940fdb.tar.bz2
abslibre-7e00045a605d554cdf361c2794b8b600ed940fdb.zip
Merge branch 'master' of ssh://parabolagnulinux.org:1863/srv/git/abslibre
Conflicts: libre/luxrays-libre/PKGBUILD
Diffstat (limited to 'libre/virtualbox-libre/virtualbox-libre.install')
-rw-r--r--libre/virtualbox-libre/virtualbox-libre.install45
1 files changed, 45 insertions, 0 deletions
diff --git a/libre/virtualbox-libre/virtualbox-libre.install b/libre/virtualbox-libre/virtualbox-libre.install
new file mode 100644
index 000000000..6913fe2ed
--- /dev/null
+++ b/libre/virtualbox-libre/virtualbox-libre.install
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+utils() {
+ if [ -x usr/bin/update-mime-database ]; then
+ update-mime-database usr/share/mime > /dev/null 2>&1
+ fi
+
+ if [ -x usr/bin/xdg-icon-resource ]; then
+ xdg-icon-resource forceupdate --theme hicolor > /dev/null 2>&1
+ fi
+
+ if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q
+ fi
+
+ if [ -x usr/bin/udevadm ]; then
+ usr/bin/udevadm control --reload
+ fi
+}
+
+# arg 1: the new package version
+post_install() {
+ getent group vboxusers >/dev/null || usr/sbin/groupadd -g 108 vboxusers
+ utils
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install "$1"
+ if [ "$(vercmp $2 4.1.6-1)" -lt 0 ]; then
+ cat << EOF
+===> Starting with virtualbox version 4.1.6-1, kernel modules handling is done by virtualbox-modules.
+===> Use virtualbox-source package if you don't use our stock linux package.
+EOF
+ fi
+}
+
+# arg 1: the old package version
+post_remove() {
+ groupdel vboxusers >/dev/null 2>&1 || true
+ utils
+}
+
+# vim:set ts=2 sw=2 ft=sh et: